### Method

# Soup MessageHeaders free_ranges

#### Declaration [src]

    void
    soup_message_headers_free_ranges (
      SoupMessageHeaders* hdrs,
      SoupRange* ranges
    )

#### Description [src]

Frees the array of ranges returned from `soup_message_headers_get_ranges()`.

#### Parameters

`ranges` | `SoupRange`
| An array of `SoupRange`.
| The data is owned by the caller of the function.